[KBA-01410] Synchronization fails on HID EVO units running firmware 3.5.1.1483 and later - Security Center 5.2 - 5.5

series
Security Center 5.2 - 5.5
revised_modified
2017-02-24

[KBA-01410] Synchronization fails on HID EVO units running firmware 3.5.1.1483 and later

This article explains why HID EVO units running firmware 3.5.1.1483 and later might fail to synchronize and display with a warning in Config Tool.

Symptoms

In Config Tool, the affected HID EVO unit is displayed with a warning and the following error message:

could not start IO Linker task

Cause

The IO Linker task was renamed in firmware version 3.5.1.1483.

Workaround

Configure the Access Manager role to use the VertX API to restart tasks, as follows:

  1. On the server hosting the Access Manager role, browse to C:\Program Files (x86)\Genetec Security Center <X.Y>\ConfigurationFiles.

    Where <X.Y> is the installed version of Security Center.

  2. Open VertxConfig.gconfig in Notepad.
    NOTE: If VertxConfig.gconfig is not present, it might be found in C:\Program Files (x86)\Genetec Security Center <X.Y>\
  3. Set UseVertxApiToRestartTasks="True".
  4. Save your changes and close Notepad.

    This change takes effect at the next HID EVO synchronization.

Status

This issue is resolved in Security Center 5.2 SR7.

If you upgrade your system from Security Center 5.2 SR6 or earlier, your system has this issue and must be configured to use the VertX API as described in the workaround.